scheduler.cpp File Reference
`#include "custom_scheduler.h"`
`#include "scheduler_utility.h"`
`#include "governor.h"`
`#include "market.h"`
`#include "arena.h"`
`#include "mailbox.h"`
`#include "observer_proxy.h"`
`#include "tbb/tbb_machine.h"`
`#include "tbb/atomic.h"`
Include dependency graph for scheduler.cpp:

Go to the source code of this file.

## Namespaces

| tbb
| The graph class.
| tbb::internal
| Identifiers declared inside namespace internal should never be used directly by client code.

## Functions

generic_scheduler * | tbb::internal::allocate_scheduler (market &m, bool genuine)
void | tbb::internal::Scheduler_OneTimeInitialization (bool itt_present)
| Defined in scheduler.cpp. More...

## Variables

generic_scheduler *(* | tbb::internal::AllocateSchedulerPtr )(market &, bool)
| Pointer to the scheduler factory function. More...

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.